<?php
$jahrgang=$_COOKIE["jahrgang"];
/*
# Fuer debugging
error_reporting(E_ALL);
ini_set('display_errors', 1);
#echo __LINE__."<br>";
*/
include_once 'classes/TestProjektSmarty.class.php';
$smarty = new Smarty();
require_once("config.inc.php");
$template = "standard";
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
require_once "language/german.inc.php";
require_once("func_rollenrechte.php");


// Rechteüberprüfung
#$db = dbconnect();
if ($user_admin == ""){ require("index.php"); exit;} //Wenn man nicht angemeldet ist, darf man nicht auf die Seite
if(!rore($user_admin,'e_vza','RE')){echo "Keine Rechte";exit;}
// Rechteüberprüfung ende

session_start();

if(isset($_GET['action'])){
  $action = $_GET['action'];
}else{
  $action = '';
}

if($action == ''){
  
  if(!isset($_SESSION['funktion'])){
      $_SESSION["vza_status"] = 'neu';
  }
  
  if(isset($_GET['edit'])){
   $_SESSION["vza_status"] = 'edit';
   $vzaid = $_GET['edit'];
   $_SESSION["vza_vzaid"] = $vzaid;
  }
  
  if($_GET['editende']==1){
  # Editieren ist beendet, als ein update auf einen Datensatz. Dann ist der status wieder Neu, damit wird wieder ein Insert durchgeführt
    $_SESSION["vza_status"] = 'neu';
  }
  
  # --- Wenn Werte editiert werden ------------
  if($_SESSION["vza_status"] == 'edit'){
    $result_edit = $db->query("SELECT date_format(ab_datum, '%d') startdat_tag
                                     , date_format(ab_datum, '%m') startdat_mon
                                     , date_format(ab_datum, '%Y') startdat_jahr
                                     , replace(wert,'.',',') wert
                                 FROM prog_vza
                                WHERE vzaid = $vzaid");
                                
    $row_edit = $result_edit->fetch_array();
    $smarty->assign('vza_startdat_tag', "$row_edit[startdat_tag]");
    $smarty->assign('vza_startdat_mon', "$row_edit[startdat_mon]");
    $smarty->assign('vza_startdat_jahr', "$row_edit[startdat_jahr]");
    $smarty->assign('vza_wert', "$row_edit[wert]");
  }
  # --- Wenn Werte editiert werden Ende -------
  
  # --- Gespeicherte Bezüge ausgeben ----------
  
    $query2 = "SELECT vzaid
                   , date_format(ab_datum, '%d.%m.%Y') startdat_form
                   , replace(wert,'.',',') wert
                FROM prog_vza
               ORDER BY ab_datum ASC";
    $result2 = $db->query( $query2)
              or die ("Cannot execute query2");

    while ($row2 = $result2->fetch_array()){
      $value_vza[] = $row2;
    }
    $smarty->assign('table_data2', $value_vza);
  
  
  # --- Gespeicherte Bezüge Ende -----


}

   
if($action == 'save'){
  $startdat = $_POST['jahr1']."-".$_POST['mon1']."-".$_POST['tag1'];
  $wert= str_replace(",",".", $_POST['wert']);

  $modify_date = date("Y-m-d H:i:s");
  
  if($_SESSION["vza_status"] == 'neu'){
    $result = $db->query("INSERT INTO prog_vza (ab_datum,  wert, modify_date) VALUES ('$startdat', '$wert', '$modify_date')");
  }
  
  if($_SESSION["vza_status"] == 'edit'){
    $vzaid = $_SESSION["vza_vzaid"];
    $result = $db->query("UPDATE prog_vza 
                             SET ab_datum = '$startdat'
                                , wert    = '$wert'
                                , modify_date = '$modify_date'
                           WHERE vzaid = $vzaid
                         ");
    unset($_SESSION['vza_vzaid']);
  }
  
  # Dann bekommts beim refresh den status neu, also es wird beim Abschicken ein Insert gemacht
  $editende=1;
  echo "<meta http-equiv=\"refresh\" content=\"2; URL=" . $_SERVER['PHP_SELF'] . "?editende=$editende\">";
}

if($action == 'del'){
    $vzaid = $_GET['vzaid'];
  
  $result = $db->query("DELETE FROM prog_vza 
                         WHERE vzaid=$vzaid");

  
  # Dann bekommts beim refresh den status neu, also es wird beim Abschicken ein Insert gemacht
  $editende=1;
  echo "<meta http-equiv=\"refresh\" content=\"0; URL=" . $_SERVER['PHP_SELF'] . "?editende=$editende\">";
}

$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>